Subject: Re: 25.0.50; Python tests fail on MS-Windows -- portability issues

From: Eli Zaretskii <[email-masked]>
Date: Sat, 29 Aug 2015 17:42:03 +0300

> From: [email-masked] (Fabián Ezequiel Gallina)
> Cc: [email-masked]
> Date: Sat, 29 Aug 2015 10:51:30 -0300
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > As I reported in the past, some Python tests fail on MS-Windows.  13
> > of them, to be more accurate.  The changes below reduce those 13 to
> > just 4.
> >
> > The main problems fixed by these changes are: (a) the assumption that
> > "/foo" is an absolute file name that expand-file-name cannot possibly
> > change, and (b) use of a literal ':' character is PATH-style lists of
> > directories.  Also, one of the failures was because
> > python-shell-calculate-command always quotes the interpreter's file
> > name on MS-Windows, which the test didn't expect.
> >
> > Fabián, if these are OK with you, I will commit them.
> >
> > I will file a separate bug about the other 4 failures, as I need help
> > there in figuring out how to fix them.
> >
> 
> Hi Eli,
> 
> Patch looks good, please install.

Done as master commit 57e1205.

> Thanks for taking care of this.

You are welcome.

I'm closing this bug.